SourceFolder (Gradle API 2.11)
Date: 2016-02-08

Package: org.gradle.plugins.ide.eclipse.model

## [Groovy] Class SourceFolder

- org.gradle.plugins.ide.eclipse.model.SourceFolder

- SourceFolder.path contains only project relative path.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractClasspathEntry` | `COMPONENT_DEPENDENCY_ATTRIBUTE, COMPONENT_NON_DEPENDENCY_ATTRIBUTE`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `File` | `dir`
    `List<String>` | `excludes`
    `List<String>` | `includes`
    `String` | `name`
    `String` | `output`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `SourceFolder (groovy.util.Node node)`
    `SourceFolder (String projectRelativePath, String output)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `appendNode(groovy.util.Node node)`
    `boolean` | `equals(def o)`
    `String` | `getAbsolutePath()`
    `String` | `getKind()`
    `int` | `hashCode()`
    `String` | `toString()`
    `void` | `trim(String prefix = null)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractClasspathEntry` | `addClasspathEntry, appendNode, equals, getNativeLibraryLocation, hashCode, normalizePath, setNativeLibraryLocation, toString, writeEntryAttributes`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### File dir

    - #### List<String> excludes

    - #### List<String> includes

    - #### String name

    - #### String output

  - ### Constructor Detail

    - #### SourceFolder(groovy.util.Node node)

    - #### SourceFolder(String projectRelativePath, String output)

  - ### Method Detail

    - #### void appendNode(groovy.util.Node node)

    - #### boolean equals(def o)

    - #### String getAbsolutePath()

    - #### String getKind()

    - #### int hashCode()

    - #### String toString()

    - #### void trim(String prefix = null)